Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.oai.util
Class OAIUtilities

    java.lang.Object
      fr.gouv.culture.oai.util.OAIUtilities

    public class OAIUtilities

extends java.lang.Object

Nested Class Summary
`static class` | `OAIUtilities.Date`

Constructor Summary
`OAIUtilities()`

Method Summary
`static boolean` | `checkString(java.lang.String s)` Checks string validity.
`static void` | `logDebug(org.apache.avalon.framework.logger.Logger logger, int code, java.lang.String[] arguments)`
`static void` | `logDebug(org.apache.avalon.framework.logger.Logger logger, java.lang.String s)` Verifies the super.getLog() and logs a message
`static void` | `logDebug(org.apache.avalon.framework.logger.Logger logger, java.lang.String s, java.lang.Exception e)` Verifies the super.getLog() and logs a message
`static void` | `logError(org.apache.avalon.framework.logger.Logger logger, int code, java.lang.String[] arguments)`
`static void` | `logError(org.apache.avalon.framework.logger.Logger logger, java.lang.String s)` Verifies the super.getLog() and logs a message
`static void` | `logError(org.apache.avalon.framework.logger.Logger logger, java.lang.String s, java.lang.Exception e)` Verifies the super.getLog() and logs a message
`static void` | `logException(org.apache.avalon.framework.logger.Logger logger, java.lang.Exception e)` Verifies the super.getLog() and logs an exception
`static void` | `logInfo(org.apache.avalon.framework.logger.Logger logger, int code, java.lang.String[] arguments)`
`static void` | `logInfo(org.apache.avalon.framework.logger.Logger logger, java.lang.String s)` Verifies the super.getLog() and logs a message
`static void` | `logWarn(org.apache.avalon.framework.logger.Logger logger, int code, java.lang.String[] arguments)`
`static void` | `logWarn(org.apache.avalon.framework.logger.Logger logger, java.lang.String s)` Verifies the super.getLog() and logs a message
`static void` | `logWarn(org.apache.avalon.framework.logger.Logger logger, java.lang.String s, java.lang.Exception e)` Verifies the super.getLog() and logs a message
`static java.lang.String` | `normalizeHttpRequestParameterName(java.lang.String origName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OAIUtilities

    public OAIUtilities()

Method Detail

### checkString

    public static boolean checkString(java.lang.String s)

  Checks string validity.

  Checks string validity, ie the String must not be null or empty.

  Parameters:
    `The` - String to checks
  Returns:
    `false` if the String is null or empty, `true` if not.

### logInfo

    public static void logInfo(org.apache.avalon.framework.logger.Logger logger,
                               java.lang.String s)

  Verifies the super.getLog() and logs a message

  Parameters:
    `logger` - The super.getLog()
    `s` - The message

### logInfo

    public static void logInfo(org.apache.avalon.framework.logger.Logger logger,
                               int code,
                               java.lang.String[] arguments)

### logDebug

    public static void logDebug(org.apache.avalon.framework.logger.Logger logger,
                                java.lang.String s)

  Verifies the super.getLog() and logs a message

  Parameters:
    `logger` - The super.getLog()
    `s` - The message (maybe null)

### logDebug

    public static void logDebug(org.apache.avalon.framework.logger.Logger logger,
                                java.lang.String s,
                                java.lang.Exception e)

  Verifies the super.getLog() and logs a message

  Parameters:
    `logger` - The super.getLog()
    `s` - The message (maybe null)
    `e` - The exception (maybe null)

### logDebug

    public static void logDebug(org.apache.avalon.framework.logger.Logger logger,
                                int code,
                                java.lang.String[] arguments)

### logError

    public static void logError(org.apache.avalon.framework.logger.Logger logger,
                                java.lang.String s)

  Verifies the super.getLog() and logs a message

  Parameters:
    `logger` - The super.getLog()
    `s` - The message (maybe null)

### logError

    public static void logError(org.apache.avalon.framework.logger.Logger logger,
                                java.lang.String s,
                                java.lang.Exception e)

  Verifies the super.getLog() and logs a message

  Parameters:
    `logger` - The super.getLog()
    `s` - The message (maybe null)
    `e` - The exception (maybe null)

### logError

    public static void logError(org.apache.avalon.framework.logger.Logger logger,
                                int code,
                                java.lang.String[] arguments)

### logWarn

    public static void logWarn(org.apache.avalon.framework.logger.Logger logger,
                               java.lang.String s)

  Verifies the super.getLog() and logs a message

  Parameters:
    `logger` - The super.getLog()
    `s` - The message (maybe null)

### logWarn

    public static void logWarn(org.apache.avalon.framework.logger.Logger logger,
                               java.lang.String s,
                               java.lang.Exception e)

  Verifies the super.getLog() and logs a message

  Parameters:
    `logger` - The super.getLog()
    `s` - The message (maybe null)
    `e` - The exception (maybe null)

### logWarn

    public static void logWarn(org.apache.avalon.framework.logger.Logger logger,
                               int code,
                               java.lang.String[] arguments)

### logException

    public static void logException(org.apache.avalon.framework.logger.Logger logger,
                                    java.lang.Exception e)

  Verifies the super.getLog() and logs an exception

  Parameters:
    `logger` - The super.getLog()
    `e` - The exception (maybe null)

### normalizeHttpRequestParameterName

    public static java.lang.String normalizeHttpRequestParameterName(java.lang.String origName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.